#
# spec file for package xdmbgrd (Version 0.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xdmbgrd
BuildRequires:  xorg-x11 xorg-x11-devel
License:        GPL
Group:          System/X11/Displaymanagers
Autoreqprov:    on
Version:        0.5
Release:        44.2
Summary:        SuSE Linux background
Source:         xdmbgrd-0.5.tar.bz2
#Patch:       xdmbgrd-0.5.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The SuSE Linux background for your XDM workstation.



Authors:
--------
    Werner Fink  <werner@suse.de>

%debug_package
%prep
%setup -q
#%patch

%build
PATH=$PATH:.
make XLIBD=/usr/X11R6/%_lib

%install
rm -rf $RPM_BUILD_ROOT
if test -x /usr/X11R6/bin/chooser ; then
	mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
	install -s -m 0755 BackGround $RPM_BUILD_ROOT/usr/X11R6/bin/
	echo /usr/X11R6/bin/BackGround > file-list
else
    if test -x /etc/X11/xdm/chooser ; then
	mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm
	install -s -m 0755 BackGround $RPM_BUILD_ROOT/etc/X11/xdm/
	echo /etc/X11/xdm/BackGround           > file-list
    else
	mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xdm
	install -s -m 0755 BackGround $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xdm
	echo /usr/X11R6/lib/X11/xdm/BackGround > file-list
    fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file-list
%defattr(-,root,root)

%changelog -n xdmbgrd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar 11 2004 - werner@suse.de
- Update to 0.5 for simply change the SuSE_Linux xpm (bug #35626)
* Sun Oct 19 2003 - meissner@suse.de
- norootforbuild, fixed lib64 problem on ppc32.
* Fri Jun 13 2003 - coolo@suse.de
- use BuildRoot
- shuffle install section to avoid installing unpackaged files
* Mon Mar 03 2003 - werner@suse.de
- Avoid trouble with stupid rpm: use /usr/X11R6/bin/BackGround only
* Mon Mar 03 2003 - werner@suse.de
- Part one of fix for bug #24546: symlink /usr/X11R6/bin/BackGround
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Apr 30 2002 - werner@suse.de
- Add s390x arch to piggyback and make scanning for ld_m more
  flexible for future architectures.
* Thu Apr 25 2002 - werner@suse.de
- Make it build even if on x86_64
* Thu Jun 21 2001 - sndirsch@suse.de
- adjusted ld input format/emulation for s390 in piggyback
* Fri Jun 09 2000 - werner@suse.de
- Make logo embossed instead of low-lying
* Wed May 10 2000 - kukuk@suse.de
- xpm is now part of xf86/xshared
* Thu Apr 13 2000 - schwab@suse.de
- Support ia64 in piggyback.
- Pass `-no-warn-mismatch' to linker.
* Tue Mar 21 2000 - werner@suse.de
- New version 0.4 for better contours of geeko
* Mon Mar 20 2000 - werner@suse.de
- New version 0.3
  * new geeko now looking to the `right' side
  * pickypack now using objdump to get the binary format
- Install BackGround depending at the location of chooser, e.g.
  for XFree86 this is /etc/X11/xdm/
* Sat Dec 04 1999 - kukuk@suse.de
- fixed piggyback for SPARC
* Tue Sep 21 1999 - uli@suse.de
- fixed piggyback for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 11 1999 - werner@suse.de
- Drop the dots
* Tue Feb 02 1999 - ro@suse.de
- patched piggyback to work on alpha and i386
* Tue Feb 02 1999 - ro@suse.de
- use alpha for ld-mode on alpha
* Tue Jul 21 1998 - werner@suse.de
- Include sources
* Wed Feb 04 1998 - ro@suse.de
- generated spec file
